Support Bitlbee self messages
Description

I'm using Quassel with Bitlbee. Bitlbee supports self messages where anything you say using other clients (e.g. Facebook chat, etc.)
is sent to the client as a PRIVMSG with your own hostmask in the source and the nick of someone else in the target. Quassel
currently shows these messages as a new query from myself to myself which is not right. Properly supporting these messages would
allow them to show up in the query for the user I'm talking to. There should be no notification for them since they're from yourself.

See this for details: https://wiki.bitlbee.org/SelfMessages

History
#1 - 07/08/2016 01:23 PM - bart
Hi,

I've got the same issue.
I've fixed this with the following patch:

diff --git a/src/core/ircparser.cpp b/src/core/ircparser.cpp

index 44b4b52..19390al 100644

-—- a/src/core/ircparser.cpp

+++ b/src/core/ircparser.cpp

@@ -186,7 +186,7 @@ void IrcParser::processNetworkIncoming (NetworkDataEvent *e)
QOStringlist targets = net->serverDecode (params.at (0)).split(',', QOString::SkipEmptyParts);
QStringList::const_iterator targetIter;

for (targetIter = targets.constBegin(); targetIter != targets.constEnd(); ++targetIter) {
= QString target = net->isChannelName (*targetIter) || net->isStatusMsg(*targetlIter) ? *targetlt
er : senderNick;
+ QString target = net->isChannelName (*targetIter) || net->isStatusMsg(*targetIter) ? *targetIt
er : net->isMyNick (senderNick) ? *targetIter : senderNick;

msg = decrypt (net, target, msqg);

Can this patch be applied?

#2 - 08/18/2016 01:54 PM - DesktopMan

bart wrote:
Hi,

I've got the same issue.
I've fixed this with the following patch:

(-]

Can this patch be applied?

No respons yet? Support for this would be greatly appreciated.

#3 - 08/24/2016 11:15 AM - SmallR2002

Bump from me as well.

#4 - 09/08/2016 05:33 AM - digitalcircuit
Quassel now supports self messages in the latest git master code (commit hash fa2e 185ecffa83feca93577a2f8348d554e61f96). See merged pull
https://wiki.bitlbee.org/SelfMessages

request #202 for more details: https:/github.com/quassel/quassel/pull/202

Whenever 0.13 is released, someone ought update the Bitlbee wiki page :)

#5 - 09/14/2018 03:05 AM - genius3000
- Status changed from New to Resolved
- Target version set to 0.13.0

- % Done changed from 0 to 100
See note above from digitalcircuit.

#6 - 03/09/2019 01:21 AM - Avamander

| installed Quasselcore v.13 but I'm still having this issue, | suspect it is because there's no way to tell Quassel that | have multiple real names.
Currently every single bitlbee libpurple plugin creates a variation of my username, for example I'm logged into bitlbee with real name *foo™ but
libpurple-plugins show me with usernames such as "Foo’, "Foo_", "Bar’.

Adding those under the used identity's nicks did not fix the problem - self messages are still displayed in a single buffer per real name variation.

07/17/2025 22


https://wiki.quassel-irc.org/issues/202
https://github.com/quassel/quassel/pull/202
http://www.tcpdf.org

